MOUNT(8)

NAME
mount - mount file systems

SYNOPSIS
mount [-AadfNruvw] [-t type]
mount [-dfrsuvw] special | node
mount [-dfruvw] [-o options] [-t type] special node

DESCRIPTION
The mount command invokes a file system specific program to prepare and graft the special device or remote node (rhost:path) on to the file system tree at the point node. If either special or node are not provided, the appropriate information is taken from the fstab(5) file.

For disk partitions, the special device is either a disklabel(8) UID (DUID) or an entry in /dev. If it is a DUID, it will be automatically mapped to the appropriate entry in /dev. In either case the partition must be present in the disklabel loaded from the device. The partition name is the last letter in the entry name. For example, /dev/sd0a and 3eb7f9da875cb9ee.a both refer to the ‘a’ partition.

A mount point node must be an existing directory for a mount to succeed ( except in the special case of /, of course). Only the superuser may mount file systems.

The system maintains a list of currently mounted file systems. If no arguments are given to mount, this list is printed.

The options are as follows:

-A  Causes mount to try to mount all of the file systems listed in the fstab(5) table except those for which the “noauto” or “net” options are specified.

-a  Similar to the -A flag, except that if a file system (other than the root file system) appears to be already mounted, mount will not try to mount it again. mount assumes that a file system is already mounted if a file system with the same type is mounted on the given mount point. More stringent checks are not possible because some file system types report strange values for the mounted-from device for mounted file systems.

-d  Causes everything to be done except for the invocation of the file system specific program. This option is useful in conjunction with the -v flag to determine what the mount command is trying to do.

-f  Either force mounting of dirty file systems or, in the case of a downgrade from read-write to read-only operation, the revocation of opened files with write access.

-N  If used with either -A or -a, mount will only look at file systems which have the “net” option specified. By default file systems with the “net” option are ignored.

-o options
    Options can be given with (or without) a ‘no’ prefix to invert their meaning. The options listed below specify non-default values. For example, ‘nosoftdep’ is the default, so ‘softdep’ can be used to mount the file system using soft dependencies. Multiple options can be specified in a comma-separated list. The available options are as follows:

    async
        Metadata I/O to the file system should be done asynchronously. By default, only regular data is read/written asynchronously.

        This is a dangerous flag to set since it does not guarantee to keep a consistent file system structure on the disk. You should not use this flag unless you are prepared to recreate the file system should your system crash. The most common use of this flag is to speed up restore(8) where it can give a factor of two speed increase.

        The options async and softdep are mutually exclusive.

    force
        The same as -f; forces the revocation of write access when trying to downgrade a file system mount status from read-write to read-only.

    noatime
        Do not update atime on files in the system unless the mtime or ctime is being changed as well. This option is useful for laptops and news servers where one does not want the extra disk activity associated with updating the atime.

    nodev
        Do not interpret character or block special devices on the file system. This option is useful for a server that has file systems containing special devices for architectures other than its own.

    noexec
        Do not allow execution of any binaries on the mounted file system. This option is useful for a server that has file systems containing binaries for architectures other than its own.

    noperm
        (FFS only) Do not check permissions when creating, accessing or modifying files and directories in the mounted file system. This allows unprivileged users to construct a file hierarchy containing special device nodes and files with arbitrary file mode, owner or group without restriction. Only the owner, group and mode of the root directory of the filesystem will be honored so access to the filesystem can be locked down. The noperm option also enables the nodev and noexec options to ensure that interpretation of the file modes and special devices cannot be used to gain privileges.

    norw
        An alias for rdonly.

    nosuid
        Do not allow set-user-identifier or set-group-identifier bits to take effect.

    rdonly
        The same as -r; mount the file system read-only (even the superuser may not write it).

    ro  An alias for rdonly.

    softdep
        (FFS only) Mount the file system using soft dependencies. Instead of metadata being written immediately, it is written in an ordered fashion to keep the on-disk state of the file system consistent. This results in significant speedups for file create/delete operations. This option is ignored when using the -u flag and a file system is already mounted read/write.

        The options async and softdep are mutually exclusive.

    sync
        Regular data I/O to the file system should be done synchronously. By default, only metadata is read/written synchronously.

    update
        The same as -u; indicate that the status of an already mounted file system should be changed.

    wxallowed
        Processes that ask for memory to be made writeable plus executable using the mmap(2) and mprotect(2) system calls are killed by default. This option allows those processes to continue operation. It is typically used on the /usr/local filesystem.

    Any additional options specific to a given file system type (see the -t option) may be passed as a comma separated list; these options are distinguished by a leading “-” (dash). Options that take a value are specified using the syntax -option=value. For example:

        # mount -t mfs -o rw,nodev,nosuid,-s=153600 /dev/sd0b /tmp

    That causes mount to execute the equivalent of:

        # /sbin/mount_mfs -o rw,nodev,nosuid -s 153600 /dev/sd0b /tmp

    The equivalent example in fstab(5) would be:

        swap /tmp mfs rw,nodev,nosuid,-s=153600 0 0

-r  The file system is to be mounted read-only. Mount the file system read-only (even the superuser may not write it). The same as the “rdonly” argument to the -o option.

-s  Skip mounting the file system if it is already mounted. See the -a flag for a description of the criteria used to decide if a file system is already mounted.

-t type
    The argument following the -t is used to indicate the file system type. The type ffs is the default. The -t option can be used to indicate that the actions should only be taken on file systems of the specified type. More than one type may be specified in a comma separated list. The list of file system types can be prefixed with “no” to specify the file system types for which action should not be taken. For example, the mount command:

        # mount -a -t nonfs,mfs

    mounts all file systems except those of type NFS and MFS.

    mount will attempt to execute a program in /sbin/mount_XXX where XXX is replaced by the type name. For example, NFS file systems are mounted by the program /sbin/mount_nfs.

-u  The -u flag indicates that the status of an already mounted file system should be changed. Any of the options discussed above (the -o option) may be changed; also a file system can be changed from read-only to read-write or vice versa. An attempt to change from read-write to read-only will fail if any files on the file system are currently open for writing unless the -f flag is also specified. Only options specified on the command line with -o are changed; other file system options are unaltered. The options set in the fstab(5) table are ignored.

-v  Verbose mode.

-w  The file system object is to be read and write.

The options specific to the various file system types are described in the manual pages for those file systems' mount_XXX commands. For instance, the options specific to Berkeley Fast File Systems are described in the mount_ffs(8) manual page.

FILES
/etc/fstab
    file system table

EXAMPLES
Mount a CD-ROM on node /mnt/cdrom:

    # mount -t cd9660 -r /dev/cd0a /mnt/cdrom

Mount an MS-DOS USB stick with DUID 3eb7f9da875cb9ee on node /mnt/key:

    # mount -t msdos 3eb7f9da875cb9ee.i /mnt/key

Graft a remote NFS file system on host host, path /path/name, on node /mnt/nfs:

    # mount host:/path/name /mnt/nfs

Remount /var with option “dev”:

    # mount -u -o dev /var

SEE ALSO
mount(2), fstab(5), disklabel(8), mount_cd9660(8), mount_ext2fs(8), mount_ffs(8), mount_mfs(8), mount_msdos(8), mount_nfs(8), mount_ntfs(8), mount_tmpfs(8), mount_udf(8), mount_vnd(8), sysctl(8), umount(8)

HISTORY
A mount command appeared in AT&T UNIX.

CAVEATS
After a successful mount, the permissions on the original mount point determine if “..” is accessible from the mounted file system. The minimum permissions for the mount point for traversal across the mount point in both directions to be possible for all users is 0111 (execute for all).